xine-lib: xine_nbc_st Struct Reference

xine-lib 1.2.12

Data Fields
xine_nbc_st Struct Reference

## Data Fields
xine_stream_t * | stream
int | speed_change
int | speed_val
int | buffering
int | enabled
int | has_audio
int | has_video
int | progress
xine_nbc_fifo_info_t | audio
xine_nbc_fifo_info_t | video
uint32_t | high_water_mark
pthread_mutex_t | mutex
int64_t | pos_pts
int | dvbspeed
int | dvbs_center
int | dvbs_width
struct {
enum | { NBC_DELAY_OFF = 0 , NBC_DELAY_READY , NBC_DELAY_RUN , NBC_DELAY_STOP , NBC_DELAY_JOIN }
pthread_cond_t msg
pthread_t thread
struct timespec base until
enum xine_nbc_st:: { ... } state
} | delay
struct {
uint32_t min
uint32_t hpos
uint8_t hist [(1<< 10)]
uint32_t num [256]
} | stats

## Field Documentation

## ◆ audio

xine_nbc_fifo_info_t xine_nbc_st::audio

## ◆ buffering

int xine_nbc_st::buffering

## ◆

struct { ... } xine_nbc_st::delay

## ◆ dvbs_center

int xine_nbc_st::dvbs_center

## ◆ dvbs_width

int xine_nbc_st::dvbs_width

## ◆ dvbspeed

int xine_nbc_st::dvbspeed

## ◆ enabled

int xine_nbc_st::enabled

## ◆ has_audio

int xine_nbc_st::has_audio

## ◆ has_video

int xine_nbc_st::has_video

## ◆ high_water_mark

uint32_t xine_nbc_st::high_water_mark

## ◆ hist

uint8_t xine_nbc_st::hist[(1<< 10)]

## ◆ hpos

uint32_t xine_nbc_st::hpos

## ◆ min

uint32_t xine_nbc_st::min

## ◆ msg

pthread_cond_t xine_nbc_st::msg

## ◆ mutex

pthread_mutex_t xine_nbc_st::mutex

## ◆ num

uint32_t xine_nbc_st::num[256]

## ◆ pos_pts

int64_t xine_nbc_st::pos_pts

## ◆ progress

int xine_nbc_st::progress

## ◆ speed_change

int xine_nbc_st::speed_change

## ◆ speed_val

int xine_nbc_st::speed_val

## ◆

enum { ... } xine_nbc_st::state

## ◆

struct { ... } xine_nbc_st::stats

## ◆ stream

xine_stream_t* xine_nbc_st::stream

## ◆ thread

pthread_t xine_nbc_st::thread

## ◆ until

struct timespec base xine_nbc_st::until

## ◆ video

xine_nbc_fifo_info_t xine_nbc_st::video

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/xine-engine/net_buf_ctrl.c